Comme annoncé, ce forum est passé en lecture seule au 1er janvier 2020. Désormais nous vous invitons à vous rendre sur notre nouvelle page communauté :
Image

A très bientôt !

Version 2016-05-04

(anciennement dénommé plugin OpenZwave)
Avatar de l’utilisateur
nechry
Actif
Messages : 9644
Inscription : 24 juin 2014, 20:07
Localisation : Suisse
Contact :

Re: Version 2016-05-04

Message par nechry » 07 mai 2016, 23:30

@jbval j'entend par me commentaire d'updater en pi3 pcq je trouve vraiment pas cher pour ce qu'on a en retour. le soft évolue en lourdeur pcq on ajoute plus de choses (plugins, devices, etc) et avec le temps il faut updater le hard. ça ne veut pas dire qu'il faut programmer comme des cochons sous prétexte que vous allez upgrader non plus. d'ailleurs le plugin zwave est beaucoup plus rapide et performant qu'il y a une année. je trouve juste démesuré de faire tourner ça domotique sur si faible sachant qu'au jour le jour il sera apprécié
As-tu consulté la documentation avant de poser ta question?
Les demandes de support en MP ne seront pas traité mais j'accepte les dons paypal.me/nechry
Visiter mon blog http://nechry-automation.ch/

alpha13fr
Actif
Messages : 579
Inscription : 05 oct. 2015, 00:03
Localisation : Bouches du Rhone (13)

Re: Version 2016-05-04

Message par alpha13fr » 07 mai 2016, 23:45

@nechry : +1

Comme par exemple , l’utilisation de mysql qui est montée en charge
JEEDOM sur nuc D340WYK esx

Esclave raspberry en WIFI, téléinfo EDF, AEON Labs Z-Wave Gen5


2 FGMS-001
8 FGSD-002 ( Merci aux bons plans )
2 FGFS-101 ( Merci aux bons plans )

MERCI A TOUTE L'EQUIPE POUR LE TAF

Avatar de l’utilisateur
gomba777
Timide
Messages : 66
Inscription : 04 août 2015, 12:33
Contact :

Re: Version 2016-05-04

Message par gomba777 » 08 mai 2016, 11:11

Petite remontée 2 jours après l'update.

J'ai eu un plantage du zwave après avoir exclu et ensuite tenté de réinclure une vanne danfoss. Zwave a redémarré et tout refonctionne bien.

A part ça je trouve le réseau très réactif par rapport à ma HC2 dont je migre actuellement vers jeedom. J'ai déjà migré +-75 modules en commençant par inclure uniquement les modules alimentés et en terminant par ceux sur batterie. Je dois dire que je suis agréablement surpris par les performance et surtout par la multitude d'information et de log disponible pour analyser son réseau zwave! C'est tout simplement génial :P :P et c'est un manque incroyable sur le HC2 de fibaro dont je suis par ailleurs fortement déçu :oops: .

Seuls problèmes que je rencontre pour l'instant c'est :

- je n'arrive pa à faire fonctionner les interrupteurs muraux 4 position (WALL-C ZME-WCD2) en mode scène. Quand je les paramètre en mode scène, je ne vois aucune remontée dans le log debug zwave. En mode association ils renvoient bien une donnée mais aucune pour la scène. Si quelqu'un a réussi, je serais heureux de savoir comment il a fait :-) j'ai cherché sur le forum mais pas trouvé.

- L'association d'une prise individuelle de la greenwave multiprise.


Malgré que le zwave tourne parfaitement, j'ai ce message ci dans le log de démarage. inquiètant?? :

Code : Tout sélectionner

08-05-2016 10:42:52 | info  | Check flask dependency
08-05-2016 10:42:52 | info  | --> pass
08-05-2016 10:42:52 | info  | Check other dependency
08-05-2016 10:42:52 | info  | --> pass
08-05-2016 10:42:52 | info  | Check Openzwave
08-05-2016 10:42:52 | info  | --> pass
08-05-2016 10:42:52 | info  | Validate startup arguments
----------------------------------------
Exception happened during processing of request from ('127.0.0.1', 45339)
Traceback (most recent call last):
File "/usr/lib/python2.7/SocketServer.py", line 295, in _handle_request_noblock
self.process_request(request, client_address)
File "/usr/lib/python2.7/SocketServer.py", line 321, in process_request
self.finish_request(request, client_address)
File "/usr/lib/python2.7/SocketServer.py", line 334, in finish_request
self.RequestHandlerClass(request, client_address, self)
File "/usr/lib/python2.7/SocketServer.py", line 657, in __init__
self.finish()
File "/usr/lib/python2.7/SocketServer.py", line 716, in finish
self.wfile.close()
File "/usr/lib/python2.7/socket.py", line 279, in close
self.flush()
File "/usr/lib/python2.7/socket.py", line 303, in flush
self._sock.sendall(view[write_offset:write_offset+buffer_size])
error: [Errno 32] Broken pipe
----------------------------------------
----------------------------------------
Exception happened during processing of request from ('127.0.0.1', 45340)
Traceback (most recent call last):
File "/usr/lib/python2.7/SocketServer.py", line 295, in _handle_request_noblock
self.process_request(request, client_address)
File "/usr/lib/python2.7/SocketServer.py", line 321, in process_request
self.finish_request(request, client_address)
File "/usr/lib/python2.7/SocketServer.py", line 334, in finish_request
self.RequestHandlerClass(request, client_address, self)
File "/usr/lib/python2.7/SocketServer.py", line 657, in __init__
self.finish()
File "/usr/lib/python2.7/SocketServer.py", line 716, in finish
self.wfile.close()
File "/usr/lib/python2.7/socket.py", line 279, in close
self.flush()
File "/usr/lib/python2.7/socket.py", line 303, in flush
self._sock.sendall(view[write_offset:write_offset+buffer_size])
error: [Errno 32] Broken pipe
----------------------------------------
----------------------------------------
Exception happened during processing of request from ('127.0.0.1', 45341)
Traceback (most recent call last):
File "/usr/lib/python2.7/SocketServer.py", line 295, in _handle_request_noblock
self.process_request(request, client_address)
File "/usr/lib/python2.7/SocketServer.py", line 321, in process_request
self.finish_request(request, client_address)
File "/usr/lib/python2.7/SocketServer.py", line 334, in finish_request
self.RequestHandlerClass(request, client_address, self)
File "/usr/lib/python2.7/SocketServer.py", line 657, in __init__
self.finish()
File "/usr/lib/python2.7/SocketServer.py", line 716, in finish
self.wfile.close()
File "/usr/lib/python2.7/socket.py", line 279, in close
self.flush()
File "/usr/lib/python2.7/socket.py", line 303, in flush
self._sock.sendall(view[write_offset:write_offset+buffer_size])
error: [Errno 32] Broken pipe
----------------------------------------
----------------------------------------
Exception happened during processing of request from ('127.0.0.1', 45342)
Traceback (most recent call last):
File "/usr/lib/python2.7/SocketServer.py", line 295, in _handle_request_noblock
self.process_request(request, client_address)
File "/usr/lib/python2.7/SocketServer.py", line 321, in process_request
self.finish_request(request, client_address)
File "/usr/lib/python2.7/SocketServer.py", line 334, in finish_request
self.RequestHandlerClass(request, client_address, self)
File "/usr/lib/python2.7/SocketServer.py", line 657, in __init__
self.finish()
File "/usr/lib/python2.7/SocketServer.py", line 716, in finish
self.wfile.close()
File "/usr/lib/python2.7/socket.py", line 279, in close
self.flush()
File "/usr/lib/python2.7/socket.py", line 303, in flush
self._sock.sendall(view[write_offset:write_offset+buffer_size])
error: [Errno 32] Broken pipe
----------------------------------------
Ancien Fibarien (excédé) converti à Jeedom ;-)
Jeedom sur RPI3 + Aeotec Gen 5 (Liste modules)

mmourcia
Timide
Messages : 35
Inscription : 18 août 2015, 23:32

Re: Version 2016-05-04

Message par mmourcia » 08 mai 2016, 11:34

Bonjour,
pour ma part, l'install des dépendances a abouti au même résultat qu'une précédente mise à jour :

viewtopic.php?f=34&t=15513

En gros l'om killer finit par arreter la compilation parce que la mini+ est trop short en RAM.
Donc comme la fois dernière, j'ai du stopper quelques process et compiler les dépendances moi même.

A part, ça, le reste est nickel
Merci !!

Avatar de l’utilisateur
nechry
Actif
Messages : 9644
Inscription : 24 juin 2014, 20:07
Localisation : Suisse
Contact :

Re: Version 2016-05-04

Message par nechry » 08 mai 2016, 12:10

@gomba777 merci pour tes retours. Oui je préfère mettre un maximum d'informations a disposition pour mieux comprendre son réseau. J'aime pas les black box. J'essais aussi de rentre cette quantité d'informations digerable, et éviter que les métrique remonté soit source de questions plus que d'informations... Et c'est pas toujours évident, mais je pense que ça va dans le bon sens.

Pour ton wall-c zme-wcd2 il est possible qu'il utilise la CC centralScene qui n'est pas encore implemente au niveau de la lib ozw, mais le sera bientôt. Sinon as-tu une cmd info de type boutons ou scène de créé sur ton équipement? Si non regarde dans la doc du plugin (ma signature) dans l'avant dernier chap c'est expliqué comment la rajouter.

Pour la greenwave je vais voir pour l'association direct. C'est les premiers retour sur le sujet. Je possède une donc je serai capable facilement de valider.


Sent from my finger
As-tu consulté la documentation avant de poser ta question?
Les demandes de support en MP ne seront pas traité mais j'accepte les dons paypal.me/nechry
Visiter mon blog http://nechry-automation.ch/

Avatar de l’utilisateur
gomba777
Timide
Messages : 66
Inscription : 04 août 2015, 12:33
Contact :

Re: Version 2016-05-04

Message par gomba777 » 08 mai 2016, 12:59

nechry a écrit :@gomba777 merci pour tes retours. Oui je préfère mettre un maximum d'informations a disposition pour mieux comprendre son réseau. J'aime pas les black box. J'essais aussi de rentre cette quantité d'informations digerable, et éviter que les métrique remonté soit source de questions plus que d'informations... Et c'est pas toujours évident, mais je pense que ça va dans le bon sens.
C'est vraiment top en tous cas :D Ca m'a déjà permis de voir que les remontée de la conso de la greenwave étaient trop fréquentes, il y avait énormément de paquets envoyés.
nechry a écrit :Pour ton wall-c zme-wcd2 il est possible qu'il utilise la CC centralScene qui n'est pas encore implemente au niveau de la lib ozw, mais le sera bientôt. Sinon as-tu une cmd info de type boutons ou scène de créé sur ton équipement? Si non regarde dans la doc du plugin (ma signature) dans l'avant dernier chap c'est expliqué comment la rajouter.
Je vais aller lire la doc :idea: et si ça dépend de centralScene je serai patient ;)
nechry a écrit :Pour la greenwave je vais voir pour l'association direct. C'est les premiers retour sur le sujet. Je possède une donc je serai capable facilement de valider.
Merci :D
Ancien Fibarien (excédé) converti à Jeedom ;-)
Jeedom sur RPI3 + Aeotec Gen 5 (Liste modules)

Avatar de l’utilisateur
nechry
Actif
Messages : 9644
Inscription : 24 juin 2014, 20:07
Localisation : Suisse
Contact :

Re: Version 2016-05-04

Message par nechry » 08 mai 2016, 20:44

@gomba777 pour la greenwave, je viens de faire des tests et c'est en ordre. il y a juste le wizard actuel qui est pas assez permissif.

dans l'immédiat tu peux via l'api

http://ip_jeedom:8083/ZWaveAPI/Run/devices[node_id_source].Associations[group_index].Add(node_id_target,instance)

il te faut remplacer ip_jeedom, node_id_source, group_index, node_id_target et instance
pour l'instance il faut faire +1 du no que tu voix (c'est en base 1 et non 0)

je vais ouvrir le wizard bien entendu pour que ça soit plus simple d'utilisation.

par contre je n'ai pas le retour d'état de la greenwave après une association directe. je vais voir si possible sinon c'est le refresh manuel.
As-tu consulté la documentation avant de poser ta question?
Les demandes de support en MP ne seront pas traité mais j'accepte les dons paypal.me/nechry
Visiter mon blog http://nechry-automation.ch/

gcherel
Timide
Messages : 202
Inscription : 01 mai 2015, 15:19

Re: Version 2016-05-04

Message par gcherel » 08 mai 2016, 22:49

Bonjour à tous,
La mise à jour des dépendantes reste bloquée à 75%. J'ai tout tenté :
1. sudo apt-get update et sudo apt-get upgrade
2. sudo rm /var/lib/dpkg/info/$mercurial* -f et sudo apt-get install mercurial
3. Compilation correctement en lignes de commande après avoir arrêté les services nginx et mysql : make install-api
Je reste toujours bloqué à 75%. Quand je fais relancer, il ne se passe rien. Quelqu'un a une idée ?
Voici la log :
Lancement de l'installation/mise à jour des dépendances openzwave
Hit http://ftp.fr.debian.org wheezy Release.gpg
Get:1 http://security.debian.org wheezy/updates Release.gpg [1554 B]
Get:2 http://ftp.fr.debian.org wheezy-updates Release.gpg [1554 B]
Get:3 http://security.debian.org wheezy/updates Release [39.0 kB]
Hit http://ftp.fr.debian.org wheezy Release
Get:4 http://ftp.fr.debian.org wheezy-updates Release [151 kB]
Hit http://ftp.fr.debian.org wheezy/main Sources
Get:5 http://security.debian.org wheezy/updates/main Sources [223 kB]
Hit http://ftp.fr.debian.org wheezy/contrib Sources
Hit http://ftp.fr.debian.org wheezy/non-free Sources
Hit http://ftp.fr.debian.org wheezy/main i386 Packages
Hit http://ftp.fr.debian.org wheezy/contrib i386 Packages
Get:6 http://security.debian.org wheezy/updates/contrib Sources [14 B]
Get:7 http://security.debian.org wheezy/updates/non-free Sources [14 B]
Hit http://ftp.fr.debian.org wheezy/non-free i386 Packages
Get:8 http://security.debian.org wheezy/updates/main i386 Packages [359 kB]
Hit http://ftp.fr.debian.org wheezy/contrib Translation-en
Hit http://ftp.fr.debian.org wheezy/main Translation-en
Hit http://ftp.fr.debian.org wheezy/main Translation-fr
Hit http://ftp.fr.debian.org wheezy/non-free Translation-en
Get:9 http://security.debian.org wheezy/updates/contrib i386 Packages [14 B]
Get:10 http://security.debian.org wheezy/updates/non-free i386 Packages [14 B]
Get:11 http://ftp.fr.debian.org wheezy-updates/main Sources [5505 B]
Get:12 http://security.debian.org wheezy/updates/contrib Translation-en [739 B]
Get:13 http://ftp.fr.debian.org wheezy-updates/contrib Sources [14 B]
Get:14 http://security.debian.org wheezy/updates/main Translation-en [207 kB]
Get:15 http://ftp.fr.debian.org wheezy-updates/non-free Sources [929 B]
Hit http://ftp.fr.debian.org wheezy-updates/main i386 Packages/DiffIndex
Get:16 http://security.debian.org wheezy/updates/non-free Translation-en [14 B]
Get:17 http://ftp.fr.debian.org wheezy-updates/contrib i386 Packages [14 B]
Hit http://ftp.fr.debian.org wheezy-updates/non-free i386 Packages/DiffIndex
Get:18 http://ftp.fr.debian.org wheezy-updates/contrib Translation-en [14 B]
Hit http://ftp.fr.debian.org wheezy-updates/main Translation-en/DiffIndex
Hit http://ftp.fr.debian.org wheezy-updates/non-free Translation-en/DiffIndex
Get:19 https://deb.nodesource.com wheezy Release.gpg [860 B]
Get:20 https://deb.nodesource.com wheezy Release [2993 B]
Get:21 https://deb.nodesource.com wheezy/main Sources [764 B]
Get:22 https://deb.nodesource.com wheezy/main i386 Packages [967 B]
Ign https://deb.nodesource.com wheezy/main Translation-en
Ign https://deb.nodesource.com wheezy/main Translation-fr
Fetched 995 kB in 16s (61.3 kB/s)
Reading package lists...
Installation des dependances
Reading package lists...
Building dependency tree...
Reading state information...
build-essential is already the newest version.
python-setuptools is already the newest version.
g++ is already the newest version.
gcc is already the newest version.
git is already the newest version.
libjpeg8-dev is already the newest version.
python-louie is already the newest version.
python-lxml is already the newest version.
make is already the newest version.
python-dev is already the newest version.
python-pip is already the newest version.
python-sphinx is already the newest version.
libudev-dev is already the newest version.
unzip is already the newest version.
mercurial is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 19 not upgraded.
Installation des dependances Python
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-blockdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): webcolors in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Pillow in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-actdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): actdiag>=0.5.3 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): webcolors in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): Pillow in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-actdiag)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-nwdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): nwdiag>=1.0.3 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): webcolors in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): Pillow in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-nwdiag)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-seqdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): seqdiag>=0.9.3 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): webcolors in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): Pillow in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-seqdiag)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): urwid in /usr/local/lib/python2.7/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): louie in /usr/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): nose>=0.8.3 in /usr/local/lib/python2.7/dist-packages (from louie)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): flask in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): Werkzeug>=0.7 in /usr/local/lib/python2.7/dist-packages (from flask)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.4 in /usr/lib/python2.7/dist-packages (from flask)
Requirement already satisfied (use --upgrade to upgrade): itsdangerous>=0.21 in /usr/local/lib/python2.7/dist-packages (from flask)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): flask-restful in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): aniso8601>=0.82 in /usr/local/lib/python2.7/dist-packages (from flask-restful)
Requirement already satisfied (use --upgrade to upgrade): Flask>=0.8 in /usr/local/lib/python2.7/dist-packages (from flask-restful)
Requirement already satisfied (use --upgrade to upgrade): six>=1.3.0 in /usr/local/lib/python2.7/dist-packages (from flask-restful)
Requirement already satisfied (use --upgrade to upgrade): pytz in /usr/local/lib/python2.7/dist-packages (from flask-restful)
Requirement already satisfied (use --upgrade to upgrade): Werkzeug>=0.7 in /usr/local/lib/python2.7/dist-packages (from Flask>=0.8->flask-restful)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.4 in /usr/lib/python2.7/dist-packages (from Flask>=0.8->flask-restful)
Requirement already satisfied (use --upgrade to upgrade): itsdangerous>=0.21 in /usr/local/lib/python2.7/dist-packages (from Flask>=0.8->flask-restful)
Cleaning up...
mkdir: cannot create directory `/opt': File exists
Désinstallation de la version précédente
Installation de Python-OpenZwave
Cloning into 'python-openzwave'...
HEAD is now at 9dd560f Update for next version
Uninstalling Cython:
Successfully uninstalled Cython
apt-get install --force-yes -y cython
Reading package lists...
Building dependency tree...
Reading state information...
cython is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 19 not upgraded.
Installing dependencies for python : 2 7 3
apt-get install --force-yes -y python-pip python-dev python-docutils python-setuptools python-louie
Reading package lists...
Building dependency tree...
Reading state information...
python-setuptools is already the newest version.
python-louie is already the newest version.
python-dev is already the newest version.
python-docutils is already the newest version.
python-pip is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 19 not upgraded.
apt-get install --force-yes -y build-essential libudev-dev g++
Reading package lists...
Building dependency tree...
Reading state information...
build-essential is already the newest version.
g++ is already the newest version.
libudev-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 19 not upgraded.
apt-get install --force-yes -y cython
Reading package lists...
Building dependency tree...
Reading state information...
cython is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 19 not upgraded.
pip install nose-html
Requirement already satisfied (use --upgrade to upgrade): nose-html in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): nose>=0.11.1 in /usr/local/lib/python2.7/dist-packages (from nose-html)
Cleaning up...
pip install nose-progressive
Requirement already satisfied (use --upgrade to upgrade): nose-progressive in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): nose>=1.2.1 in /usr/local/lib/python2.7/dist-packages (from nose-progressive)
Requirement already satisfied (use --upgrade to upgrade): blessings>=1.3,=1.4.1,=1.4.1,pylint)
Requirement already satisfied (use --upgrade to upgrade): wrapt in /usr/local/lib/python2.7/dist-packages (from astroid>=1.4.1,pylint)
Cleaning up...
#pip install docutils
#pip install setuptools
#The following line crashes with a core dump
#pip install "Cython==0.22"

Dependencies for users installed (python 2 7 3)
Cloning into 'openzwave'...
HEAD is now at 733975b update Changelog
sed -i -e '253s/.*//' openzwave/cpp/src/value_classes/ValueID.h
cd openzwave && make
make[1]: Entering directory `/opt/python-openzwave/openzwave'
CPPFLAGS= make -C /opt/python-openzwave/openzwave/cpp/build/ -w
make[2]: Entering directory `/opt/python-openzwave/openzwave/cpp/build'
Building OpenZWave Version 1.4-167-g733975b-dirty
Building tinystr.o
Building tinyxml.o
Building tinyxmlerror.o
Building tinyxmlparser.o
Building hid.o
Building aes_modes.o
Building aescrypt.o
Building aeskey.o
Building aestab.o
Building Alarm.o
Building ApplicationStatus.o
Building Association.o
Building AssociationCommandConfiguration.o
Building Basic.o
Building BasicWindowCovering.o
Building Battery.o
Building CRC16Encap.o
Building CentralScene.o
Building ClimateControlSchedule.o
Building Clock.o
Building Color.o
Building CommandClass.o
Building CommandClasses.o
Building Configuration.o
Building ControllerReplication.o
Building DeviceResetLocally.o
Building DoorLock.o
Building DoorLockLogging.o
Building EnergyProduction.o
Building Hail.o
Building Indicator.o
Building Language.o
Building Lock.o
Building ManufacturerSpecific.o
Building Meter.o
Building MeterPulse.o
Building MultiCmd.o
Building MultiInstance.o
Building MultiInstanceAssociation.o
Building NoOperation.o
Building NodeNaming.o
Building Powerlevel.o
Building Proprietary.o
Building Protection.o
Building SceneActivation.o
Building Security.o
Building SensorAlarm.o
Building SensorBinary.o
Building SensorMultilevel.o
Building SwitchAll.o
Building SwitchBinary.o
Building SwitchMultilevel.o
Building SwitchToggleBinary.o
Building SwitchToggleMultilevel.o
Building ThermostatFanMode.o
Building ThermostatFanState.o
Building ThermostatMode.o
Building ThermostatOperatingState.o
Building ThermostatSetpoint.o
Building TimeParameters.o
Building UserCode.o
Building Version.o
Building WakeUp.o
Building ZWavePlusInfo.o
Building Value.o
Building ValueBool.o
Building ValueButton.o
Building ValueByte.o
Building ValueDecimal.o
Building ValueInt.o
Building ValueList.o
Building ValueRaw.o
Building ValueSchedule.o
Building ValueShort.o
Building ValueStore.o
Building ValueString.o
Building Controller.o
Building Event.o
Building FileOps.o
Building HidController.o
Building Log.o
Building Mutex.o
Building SerialController.o
Building Stream.o
Building Thread.o
Building TimeStamp.o
Building Wait.o
Building EventImpl.o
Building FileOpsImpl.o
Building LogImpl.o
Building MutexImpl.o
Building SerialControllerImpl.o
Building ThreadImpl.o
Building TimeStampImpl.o
Building WaitImpl.o
Building Driver.o
Building Group.o
Building Manager.o
Building Msg.o
Building Node.o
Building Notification.o
Building Options.o
Building Scene.o
Building Utils.o
Building ZWSecurity.o
Creating vers.cpp
Building vers.o
Linking Static Library
Linking Shared Library
Making ozw_config file
make[2]: Leaving directory `/opt/python-openzwave/openzwave/cpp/build'
CPPFLAGS= make -C /opt/python-openzwave/openzwave/cpp/examples/MinOZW/ -w
make[2]: Entering directory `/opt/python-openzwave/openzwave/cpp/examples/MinOZW'
Building Main.o
Linking /opt/python-openzwave/openzwave/.lib/MinOZW
g++ -o /opt/python-openzwave/openzwave/.lib/MinOZW /opt/python-openzwave/openzwave/.lib/Main.o /opt/python-openzwave/openzwave/libopenzwave.so -pthread
Creating Temporary Shell Launch Script
make[2]: Leaving directory `/opt/python-openzwave/openzwave/cpp/examples/MinOZW'
make[1]: Leaving directory `/opt/python-openzwave/openzwave'
python setup-lib.py build
running build
running build_ext
cythoning src-lib/libopenzwave/libopenzwave.pyx to src-lib/libopenzwave/libopenzwave.cpp
building 'libopenzwave' extension
creating build
creating build/temp.linux-i686-2.7
creating build/temp.linux-i686-2.7/src-lib
creating build/temp.linux-i686-2.7/src-lib/libopenzwave
gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fPIC -DPY_SSIZE_T_CLEAN=1 -Iopenzwave/cpp/src/ -Iopenzwave/cpp/src/value_classes/ -Iopenzwave/cpp/src/platform/ -Iopenzwave/cpp/build/linux/ -I/usr/include/python2.7 -c src-lib/libopenzwave/libopenzwave.cpp -o build/temp.linux-i686-2.7/src-lib/libopenzwave/libopenzwave.o
cc1plus: warning: command line option '-Wstrict-prototypes' is valid for C/ObjC but not for C++ [enabled by default]
src-lib/libopenzwave/libopenzwave.cpp:3:0: warning: "PY_SSIZE_T_CLEAN" redefined [enabled by default]
:0:0: note: this is the location of the previous definition
In file included from openzwave/cpp/src/aes/aescpp.h:26:0,
from openzwave/cpp/src/Driver.h:42,
from src-lib/libopenzwave/libopenzwave.cpp:243:
openzwave/cpp/src/aes/aes.h:75:0: warning: ignoring #pragma warning [-Wunknown-pragmas]
openzwave/cpp/src/aes/aes.h:93:0: warning: ignoring #pragma warning [-Wunknown-pragmas]
src-lib/libopenzwave/libopenzwave.cpp: In function 'PyObject* __pyx_pf_12libopenzwave_11NullHandler_emit(PyObject*, PyObject*, PyObject*)':
src-lib/libopenzwave/libopenzwave.cpp:2542:13: warning: variable '__pyx_v_self' set but not used [-Wunused-but-set-variable]
src-lib/libopenzwave/libopenzwave.cpp:2543:13: warning: variable '__pyx_v_record' set but not used [-Wunused-but-set-variable]
src-lib/libopenzwave/libopenzwave.cpp: In function 'PyObject* __pyx_pf_12libopenzwave_9PyManager_134beginControllerCommand(PyObject*, PyObject*, PyObject*)':
src-lib/libopenzwave/libopenzwave.cpp:23107:15: warning: 'bool OpenZWave::Manager::BeginControllerCommand(uint32, OpenZWave::Driver::ControllerCommand, OpenZWave::Driver::pfnControllerCallback_t, void*, bool, uint8, uint8)' is deprecated (declared at openzwave/cpp/src/Manager.h:1731) [-Wdeprecated-declarations]
make: *** [build] Terminated

Avatar de l’utilisateur
carfnann
Timide
Messages : 469
Inscription : 05 févr. 2015, 02:14
Contact :

Re: Version 2016-05-04

Message par carfnann » 08 mai 2016, 23:17

@nechry : MAJ sans aucun soucis après ce long we.
super boulot merci, je vais me plonger dans les nouveautés mais j'adore les config recommandées!
JEEdom sous Proxmox (Intel Quad Core i7-4770S / 3.10Ghz - 16 Go DDR3 - 256 Go SSD) + RFXCom + Jeedom sous Odroid avec Aeon Gen5
Mon matériel

Mon Blog : http://www.ca-sert-a-quoi.com domotique, objet connecté et impression 3D

patou153
Timide
Messages : 3
Inscription : 02 mars 2015, 17:21
Localisation : Bordeaux

Re: Version 2016-05-04

Message par patou153 » 09 mai 2016, 00:27

Mise à jour impossible ... je joins mes Logs
Si je peux avoir une réponse .. je suis sous Jeedom Mini +
Erreur à la fin ??? pourquoi ?? j'ai arrêté nginx et mysql et demarrer en ssh make install-api--> toujours même erreur ??

Merci
Pièces jointes
log du 09-05 dependance.txt
(14.89 Kio) Téléchargé 18 fois

Avatar de l’utilisateur
gomba777
Timide
Messages : 66
Inscription : 04 août 2015, 12:33
Contact :

Re: Version 2016-05-04

Message par gomba777 » 09 mai 2016, 01:36

@nechry merci!
nechry a écrit :dans l'immédiat tu peux via l'api

http://ip_jeedom:8083/ZWaveAPI/Run/devices[node_id_source].Associations[group_index].Add(node_id_target,instance)
Super ! Ça marche

Entre temps j'ai lu la doc d'openzwave et j'ai testé en ajoutant une cmd scène mais ça ne fonctionne pas pour les wall-c donc à moins que j'ai loupé qqchose ce doit être géré via central scene. Je vais essayer de trouver une solution en attendant.

Un grand merci en tous cas
Ancien Fibarien (excédé) converti à Jeedom ;-)
Jeedom sur RPI3 + Aeotec Gen 5 (Liste modules)

Avatar de l’utilisateur
nechry
Actif
Messages : 9644
Inscription : 24 juin 2014, 20:07
Localisation : Suisse
Contact :

Re: Version 2016-05-04

Message par nechry » 09 mai 2016, 13:39

@patou153 ton log n'a pas d'erreur, as-tu laissé tournée jusqu’à la fin ?
As-tu consulté la documentation avant de poser ta question?
Les demandes de support en MP ne seront pas traité mais j'accepte les dons paypal.me/nechry
Visiter mon blog http://nechry-automation.ch/

neurall
Timide
Messages : 472
Inscription : 25 avr. 2016, 11:39

Re: Version 2016-05-04

Message par neurall » 09 mai 2016, 13:49

j'ai fait une mise à jour ce matin sans problème.

De plus le système dit que tout est ok :)
Jeedom mini+ Z-Wave+
Minix Z83 eMMC 32Mo, Stick Zwave Gen 5, quelques dizaines de modules divers et variés

DenisPac
Actif
Messages : 629
Inscription : 14 août 2014, 13:25
Localisation : Près d'Orléans (45)

Re: Version 2016-05-04

Message par DenisPac » 09 mai 2016, 14:54

Salut,

J'ai fait la mise à jour ce matin sur mon Jeedom maître et tout s'est bien déroulé avec une installation des dépendances en 2 fois quand même.
Par contre je vois que Jeedom ne détecte pas directement que le plugin openzwave d'un de mes Jeedom déporté (Jeedom mini avec Razberry) n'est pas mis à jour et donc qu'il y a un écart de version entre le maître et le déporté.
Je dirais que c'est un manque dans la page Santé (qui n'alerte que sur les versions de Jeedom core non à jour).

Merci pour tout le boulot !!

Denis
Jeedom Maître sur VM Debian sur ESXi (N54L) + Z-Stick 2 (non fonctionnel) + RFXCOM
Jeedom déporté Z-Wave sur Jeedom mini avec JeeLink
Antenne RPI3 BLEA, Netatmo, Philips Hue, Xiaomi Home, Yeelight, Dash Button, ...

Felisse
Timide
Messages : 47
Inscription : 10 oct. 2015, 10:26
Localisation : Massy, France

Re: Version 2016-05-04

Message par Felisse » 09 mai 2016, 16:03

@nechry : merci, mise à jour faite en qq minutes (Docker sur Synology), et tout marche parfaitement !

mgo
Timide
Messages : 215
Inscription : 05 sept. 2014, 15:22

Re: Version 2016-05-04

Message par mgo » 09 mai 2016, 23:03

MAJ réussi sans problème merci nechry

cependant il me semble que le module qubino ZMNHBDx 2 relay fonctionne comme précédemment
etat2 commande all on et la puissances 2 est fantaisiste
Jeedom mini, 2 fibaro fgs221, everspring st814, 2 qubino 1 relay, qubino 2 Relay
Jeedom mini, everspring st814, 1 qubino 2 Relay, une prise everspring 142

Anonyme
Actif
Messages : 10082
Inscription : 09 août 2014, 12:15

Re: Version 2016-05-04

Message par Anonyme » 09 mai 2016, 23:13

Contenu supprimé à la demande de son auteur

patou153
Timide
Messages : 3
Inscription : 02 mars 2015, 17:21
Localisation : Bordeaux

Re: Version 2016-05-04

Message par patou153 » 09 mai 2016, 23:45

Bonjour ...

Merci nechry ... de m'avoir confirmer qu'il n'y avait aucune erreur ... dans Jeedom
Après le lancement des dépendances le déroulement de la mise à jour s’arrêtait suivant les logs que j'avais joins.
donc je me suis connecté en SSH
apt-get update
apt-get upgrade

cd /opt/python-openzwave/
make install-api

et surtout remettre les droits que j'avais oubliés ...

chown -R www-data:www-data /opt/python-openzwave
chmod -R 777 /opt/python-openzwave

En espérant que chacun puisse utiliser ces commentaires ...

Avatar de l’utilisateur
gomba777
Timide
Messages : 66
Inscription : 04 août 2015, 12:33
Contact :

Re: Version 2016-05-04

Message par gomba777 » 10 mai 2016, 08:32

J'ai une petite question de débutant :D

Je me rends compte ce matin que toutes mes configurations de modules ont changées. J'avais réglé mes yeux fibaro par exemple pour remonter les température tous les 0.3 degré et ce matin tout est de nouveau sur 1 degré avant remontée?!
Du coup j'ai vérifié la config du module zwave et je vois que Mettre à jour la configuration des modules automatiquement ainsi que Appliquer le jeu de configuration recommandée à l'inclusion etaient cochés. Est ce pour cela que tout les paramètres que j'avais réglés ont été resetés?

Aussi quelqu'un peut il m'indiquer l'interret de mettre à jour la configuration de modules automatiquement tous les soir à minuit? Une fois configuré normalement ça devrait être ok non?

Merci pour vos éclaircissement :)
Ancien Fibarien (excédé) converti à Jeedom ;-)
Jeedom sur RPI3 + Aeotec Gen 5 (Liste modules)

Avatar de l’utilisateur
nechry
Actif
Messages : 9644
Inscription : 24 juin 2014, 20:07
Localisation : Suisse
Contact :

Re: Version 2016-05-04

Message par nechry » 10 mai 2016, 08:44

@gomba777 non c'est deux options ne modifie pas les modules existant sans actions de ta part. Il est possible que dans tes manipulation tu es perdu ton fichier zwcfg les modules on donc été remonté avec les valeurs par défaut lors de l'interview. Mais en réalité les modules on toujours dans leur mémoire la config que tu avait faite. Il suffit simplement de lancer rafraichir les paramètres depuis l'onglet paramètres de tes modules. Ceux sur pile le feront bien entendue au prochain wakeup.


Sent from my finger
As-tu consulté la documentation avant de poser ta question?
Les demandes de support en MP ne seront pas traité mais j'accepte les dons paypal.me/nechry
Visiter mon blog http://nechry-automation.ch/

Répondre

Revenir vers « Plugin Z-Wave »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 5 invités